IM_MAXPOS_VEC(3)

NAME
 im_maxpos_vec, im_minpos_vec - Find highest or lowest pixel values

SYNOPSIS
#include <vips/vips.h>

int im_maxpos_vec( IMAGE *im, int *xpos, int *ypos, double *maxima, int n );
int im_minpos_vec( IMAGE *im, int *xpos, int *ypos, double *minima, int n );

DESCRIPTION
im_maxpos_vec(3) fills the arrays xpos and ypos with the x and y coordinates of the n pixels in the image im which have the highest values. It writes those values (at double-precsion) into the corresponding elements in the array maxima.

If there is a draw for the nth pixel, then which of the drawing pixels is used is not defined.

im_minpos_vec(3) performs the same operation, looking for the lowest valued pixels.

RETURN VALUE
The functions returns 0 on success and -1 on error.

SEE ALSO
im_maxpos(3), im_minpos(3)

COPYRIGHT
Copyright 2006, The Nottingham Trent University. Copyright 2006, Tom Vajzovic.

AUTHOR
Tom Vajzovic